|
1.415.462.1982

News: Future System Requirements for Cinema 4D

maxon cinema 4D

Maxon has announced that future versions of Cinema 4D will require AVX and support for Metal on Macs.  Read on for more information.

The following is Maxon’s announcement:

At Maxon, we have always strived to maximize performance by taking advantage of the latest in hardware technologies. We recognize maintaining backward compatibility is essential to not disrupting our customers’ production pipelines. However, there are often significant advancements in hardware performance make maintaining backward compatibility an unattainable goal.

Consequently, in order to continue to take full advantage of technological advancements, Future versions of Cinema 4D will require the AVX instruction set and support for Metal on Mac systems.

Metal

A brand new Mac Pro is finally here, and as we announced with Apple at WWDC we’re working hard to take advantage of the incredible power it offers. We’re dedicated to make certain Cinema 4D performs great on not just the new Mac, but as many Mac systems as possible. In order to achieve that, we’ve been hard at work porting Cinema 4D’s viewport to Metal. It’s a necessary step, because Apple has announced that they’re deprecating OpenGL in macOS. This step also provides us a much more powerful framework for future development.

The only downside is that this means some older Macs and macOS versions will no longer be supported. To run future releases of Cinema 4D on Mac, you’ll need at least a supported Mac system with a GPU supporting the Metal GPU Family1 v3 feature set and macOS High Sierra 10.13.6 installed. You can check the Metal compatibility in the macOS System Information, Graphics tab.

We want you to have the best experience possible running Cinema 4D, and to ensure that we’d recommend updating to macOS Catalina 10.15.x. There are several enhancements to Metal in the latest macOS which will improve the performance and interaction with the viewport in future versions.

AVX

Introduced with 2011’s Intel Sandy Bridge processor and AMD’s Bulldozer CPU family, the AVX (Advanced Vector Extensions) instruction set provided new features, instructions and a new coding scheme to developers.

As Maxon continues to modernize and improve Cinema 4D over time, the inclusion of the AVX set will now become a requirement moving forward. Most users won’t be impacted as the obsolete CPUs are 8 to 9 years old. But for those who will be affected, we want you to understand in advance that future versions of Cinema 4D will not run on their legacy systems.

Obsolete CPUs are:

Anything before Q1 2011 from Intel Desktop CPUs
Anything before Q1 2012 from Intel Server CPUs
Anything before Q4 2011 from AMD CPUs (AVX introduced with Bulldozer family of CPUs)

If you have any doubts as to whether your CPU utilizes AVX, you can use CPU-Z to evaluate the instruction sets supported by your CPU.

We understand this may be a challenge, but we believe finding a balance between supporting older technology and embracing modern technology is an important step in keeping our software ready for the future.

Posted by Kim Sternisha